<%@ page language="C#" masterpagefile="~/vjezd.master" autoeventwireup="true" inherits="_default, App_Web_kszensvl" title="Vjezd" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" Runat="Server">
	Zobrazit
	<asp:DropDownList ID="ddlShow" runat="server" AutoPostBack="True" OnSelectedIndexChanged="ddlShow_SelectedIndexChanged">
		<asp:ListItem Value="actual">Aktu&#225;ln&#237;</asp:ListItem>
		<asp:ListItem Value="all">Ve</asp:ListItem>
		<asp:ListItem Value="fromto">Od - Do</asp:ListItem>
	</asp:DropDownList>
	<asp:TextBox ID="txtFrom" runat="server" Enabled="false" Width="75px"></asp:TextBox>
	<asp:Button ID="btnFrom" runat="server" Text="..." Enabled="false" OnClick="btnFrom_Click" />
	<asp:Calendar ID="calFrom" runat="server" Visible="false" OnSelectionChanged="calFrom_SelectionChanged"></asp:Calendar>
	
	<asp:TextBox ID="txtTo" runat="server" Enabled="false" Width="75px"></asp:TextBox>
	<asp:Button ID="btnTo" runat="server" Text="..." Enabled="false" OnClick="btnTo_Click" />
	<asp:Calendar ID="calTo" runat="server" Visible="false" OnSelectionChanged="calTo_SelectionChanged"></asp:Calendar>
	<asp:Button ID="btnRefresh" runat="server" Text="Zobrazit" Enabled="false" OnClick="btnRefresh_Click" />
	Zobrazit zznam: <asp:DropDownList ID="DropDownList1" runat="server">
		<asp:ListItem>10</asp:ListItem>
		<asp:ListItem>20</asp:ListItem>
		<asp:ListItem>30</asp:ListItem>
		<asp:ListItem>40</asp:ListItem>
		<asp:ListItem>50</asp:ListItem>
	</asp:DropDownList><br />
	
	<br />
	<asp:GridView ID="gvCars" runat="server" AllowPaging="True" AllowSorting="True"
		CellPadding="4" DataSourceID="dsCars" ForeColor="#333333" GridLines="None">
		<FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
		<Columns>
			<asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
		</Columns>
		<RowStyle BackColor="#EFF3FB" />
		<EditRowStyle BackColor="#2461BF" />
		<SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
		<PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
		<HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
		<AlternatingRowStyle BackColor="White" />
	</asp:GridView>
	<asp:SqlDataSource ID="dsCars" runat="server" 
		DeleteCommand="DELETE FROM [povoleni] WHERE [id] = @id" InsertCommand="INSERT INTO [povoleni] ([jmeno], [prijmeni], [znacka], [model], [barva], [spz], [komentar], [od], [do]) VALUES (@jmeno, @prijmeni, @znacka, @model, @barva, @spz, @komentar, @od, @do)"
		SelectCommand="SELECT * FROM [povoleni] WHERE (([od] < GETDATE()) AND ([do] > GETDATE())) ORDER BY [id] DESC"
		UpdateCommand="UPDATE [povoleni] SET [jmeno] = @jmeno, [prijmeni] = @prijmeni, [znacka] = @znacka, [model] = @model, [barva] = @barva, [spz] = @spz, [komentar] = @komentar, [od] = @od, [do] = @do WHERE [id] = @id">
		<DeleteParameters>
			<asp:Parameter Name="id" Type="Int32" />
		</DeleteParameters>
		<UpdateParameters>
			<asp:Parameter Name="jmeno" Type="String" />
			<asp:Parameter Name="prijmeni" Type="String" />
			<asp:Parameter Name="znacka" Type="String" />
			<asp:Parameter Name="model" Type="String" />
			<asp:Parameter Name="barva" Type="String" />
			<asp:Parameter Name="spz" Type="String" />
			<asp:Parameter Name="komentar" Type="String" />
			<asp:Parameter Name="od" Type="DateTime" />
			<asp:Parameter Name="do" Type="DateTime" />
			<asp:Parameter Name="id" Type="Int32" />
		</UpdateParameters>
		<InsertParameters>
			<asp:Parameter Name="jmeno" Type="String" />
			<asp:Parameter Name="prijmeni" Type="String" />
			<asp:Parameter Name="znacka" Type="String" />
			<asp:Parameter Name="model" Type="String" />
			<asp:Parameter Name="barva" Type="String" />
			<asp:Parameter Name="spz" Type="String" />
			<asp:Parameter Name="komentar" Type="String" />
			<asp:Parameter Name="od" Type="DateTime" />
			<asp:Parameter Name="do" Type="DateTime" />
		</InsertParameters>
	</asp:SqlDataSource>
</asp:Content>

